//  Persistance of Vision Raytracer V3.1
//  World definition file.
//
//  Contains 0 lights, 4 materials and 40 primitives.
//
//  This file was generated for POV-Ray V3.1 by
//  Moray V3.1 For Windows (c) 1991-1998 Lutz + Kretzschmar
//

//  Date : 10/07/1999    (07.10.1999)
//

/*
  The text between these two comments is in MorayPOV.INC and is
  automatically included in all POV files that Moray exports.
*/

default {
  texture {
    pigment { rgb <1,0,0> }
  }
}

/* // Scene Comment

This scene was created with Moray For Windows.

*/ // End Scene Comment

global_settings {
  adc_bailout 0.003922
  ambient_light 4
  assumed_gamma 1.9
  hf_gray_16 off
  irid_wavelength <0.247059,0.176471,0.137255>
  max_intersections 64
  max_trace_level 100
  number_of_waves 10
  radiosity {
 brightness 8
    count 500
    distance_maximum 1
    error_bound .2
    gray_threshold .1
    low_error_factor .5
    minimum_reuse .001
    nearest_count 6
    recursion_limit 2
  
  }
}

background { color <0.008,0.008,0.008> }

camera {  //  Camera StdCam
  location  <     -4.150,      13.200,       5.250>
  direction <        0.0,         0.0,      0.8505> // Aperture is 1.06 degrees
  sky       <    0.00000,     0.00000,     1.00000> // Use right handed-system 
  up        <        0.0,         0.0,         1.0> // Where Z is up
  right     <    1.33333,         0.0,         0.0> // Aspect ratio
  look_at   <      1.714,      -1.334,       3.745>
}


//
// ********  MATERIALS  *******
//

#include "untitled.inc"


//
// ********  REFERENCED OBJECTS  *******
//



//
// ********  OBJECTS  *******
//




sphere { // Sphere001
  <0,0,0>,1
  material {
    Material1_1
  }
  translate  1.0*z
}


#declare Group001 = union {
  cylinder { // Cylndr002
    <0,0,1>, <0,0,0>, 1 
    material {
      Material1
    }
    scale <1.0, 1.0, 0.2>
    translate  0.8*z
  }
  cylinder { // Cylndr001
    <0,0,1>, <0,0,0>, 1 
    material {
      Material2
    }
    scale 0.8
  }
}
#declare Group003 = union {
  cylinder { // Cylndr003
    <0,0,1>, <0,0,0>, 1 
    material {
      Material1
    }
    scale <1.0, 1.0, 0.2>
    translate  0.8*z
  }
  cylinder { // Cylndr004
    <0,0,1>, <0,0,0>, 1 
    material {
      Material2
    }
    scale 0.8
  }
  translate  1.0*z
}
#declare Group004 = union {
  cylinder { // Cylndr005
    <0,0,1>, <0,0,0>, 1 
    material {
      Material1
    }
    scale <1.0, 1.0, 0.2>
    translate  0.8*z
  }
  cylinder { // Cylndr006
    <0,0,1>, <0,0,0>, 1 
    material {
      Material2
    }
    scale 0.8
  }
  translate  2.0*z
}
#declare Group005 = union {
  cylinder { // Cylndr007
    <0,0,1>, <0,0,0>, 1 
    material {
      Material1
    }
    scale <1.0, 1.0, 0.2>
    translate  0.8*z
  }
  cylinder { // Cylndr008
    <0,0,1>, <0,0,0>, 1 
    material {
      Material2
    }
    scale 0.8
  }
  translate  3.0*z
}
#declare Group006 = union {
  cylinder { // Cylndr009
    <0,0,1>, <0,0,0>, 1 
    material {
      Material1
    }
    scale <1.0, 1.0, 0.2>
    translate  0.8*z
  }
  cylinder { // Cylndr010
    <0,0,1>, <0,0,0>, 1 
    material {
      Material2
    }
    scale 0.8
  }
  translate  4.0*z
}
#declare Group007 = union {
  cylinder { // Cylndr011
    <0,0,1>, <0,0,0>, 1 
    material {
      Material1
    }
    scale <1.0, 1.0, 0.2>
    translate  0.8*z
  }
  cylinder { // Cylndr012
    <0,0,1>, <0,0,0>, 1 
    material {
      Material2
    }
    scale 0.8
  }
  translate  5.0*z
}
#declare Group008 = union {
  cylinder { // Cylndr013
    <0,0,1>, <0,0,0>, 1 
    material {
      Material1
    }
    scale <1.0, 1.0, 0.2>
    translate  0.8*z
  }
  cylinder { // Cylndr014
    <0,0,1>, <0,0,0>, 1 
    material {
      Material2
    }
    scale 0.8
  }
  translate  6.0*z
}
#declare Group009 = union {
  cylinder { // Cylndr015
    <0,0,1>, <0,0,0>, 1 
    material {
      Material1
    }
    scale <1.0, 1.0, 0.2>
    translate  0.8*z
  }
  cylinder { // Cylndr016
    <0,0,1>, <0,0,0>, 1 
    material {
      Material2
    }
    scale 0.8
  }
  translate  7.0*z
}
#declare Group010 = union {
  cylinder { // Cylndr017
    <0,0,1>, <0,0,0>, 1 
    material {
      Material1
    }
    scale <1.0, 1.0, 0.2>
    translate  0.8*z
  }
  cylinder { // Cylndr018
    <0,0,1>, <0,0,0>, 1 
    material {
      Material2
    }
    scale 0.8
  }
  translate  8.0*z
}
union { // Group002
  object { Group001 }
  object { Group003 }
  object { Group004 }
  object { Group005 }
  object { Group006 }
  object { Group007 }
  object { Group008 }
  object { Group009 }
  object { Group010 }
  translate  <4.5, -4.5, 0.0>
}


difference { // CSG001
  box { // Cube001
    <-1, -1, -1>, <1, 1, 1>
    scale 5.0
  }
  box { // Cube002
    <-1, -1, -1>, <1, 1, 1>
    scale <4.5, 5.0, 4.5>
    translate  0.5*y
  }
  material {
    Material1
  }
  translate  4.5*z
}


#declare Group011 = union {
  cylinder { // Cylndr019
    <0,0,1>, <0,0,0>, 1 
    material {
      Material1
    }
    scale <1.0, 1.0, 0.2>
    translate  0.8*z
  }
  cylinder { // Cylndr020
    <0,0,1>, <0,0,0>, 1 
    material {
      Material2
    }
    scale 0.8
  }
}
#declare Group012 = union {
  cylinder { // Cylndr021
    <0,0,1>, <0,0,0>, 1 
    material {
      Material1
    }
    scale <1.0, 1.0, 0.2>
    translate  0.8*z
  }
  cylinder { // Cylndr022
    <0,0,1>, <0,0,0>, 1 
    material {
      Material2
    }
    scale 0.8
  }
  translate  1.0*z
}
#declare Group013 = union {
  cylinder { // Cylndr023
    <0,0,1>, <0,0,0>, 1 
    material {
      Material1
    }
    scale <1.0, 1.0, 0.2>
    translate  0.8*z
  }
  cylinder { // Cylndr024
    <0,0,1>, <0,0,0>, 1 
    material {
      Material2
    }
    scale 0.8
  }
  translate  2.0*z
}
#declare Group014 = union {
  cylinder { // Cylndr025
    <0,0,1>, <0,0,0>, 1 
    material {
      Material1
    }
    scale <1.0, 1.0, 0.2>
    translate  0.8*z
  }
  cylinder { // Cylndr026
    <0,0,1>, <0,0,0>, 1 
    material {
      Material2
    }
    scale 0.8
  }
  translate  3.0*z
}
#declare Group015 = union {
  cylinder { // Cylndr027
    <0,0,1>, <0,0,0>, 1 
    material {
      Material1
    }
    scale <1.0, 1.0, 0.2>
    translate  0.8*z
  }
  cylinder { // Cylndr028
    <0,0,1>, <0,0,0>, 1 
    material {
      Material2
    }
    scale 0.8
  }
  translate  4.0*z
}
#declare Group016 = union {
  cylinder { // Cylndr029
    <0,0,1>, <0,0,0>, 1 
    material {
      Material1
    }
    scale <1.0, 1.0, 0.2>
    translate  0.8*z
  }
  cylinder { // Cylndr030
    <0,0,1>, <0,0,0>, 1 
    material {
      Material2
    }
    scale 0.8
  }
  translate  5.0*z
}
#declare Group017 = union {
  cylinder { // Cylndr031
    <0,0,1>, <0,0,0>, 1 
    material {
      Material1
    }
    scale <1.0, 1.0, 0.2>
    translate  0.8*z
  }
  cylinder { // Cylndr032
    <0,0,1>, <0,0,0>, 1 
    material {
      Material2
    }
    scale 0.8
  }
  translate  6.0*z
}
#declare Group018 = union {
  cylinder { // Cylndr033
    <0,0,1>, <0,0,0>, 1 
    material {
      Material1
    }
    scale <1.0, 1.0, 0.2>
    translate  0.8*z
  }
  cylinder { // Cylndr034
    <0,0,1>, <0,0,0>, 1 
    material {
      Material2
    }
    scale 0.8
  }
  translate  7.0*z
}
#declare Group019 = union {
  cylinder { // Cylndr035
    <0,0,1>, <0,0,0>, 1 
    material {
      Material1
    }
    scale <1.0, 1.0, 0.2>
    translate  0.8*z
  }
  cylinder { // Cylndr036
    <0,0,1>, <0,0,0>, 1 
    material {
      Material2
    }
    scale 0.8
  }
  translate  8.0*z
}
union { // Group020
  object { Group011 }
  object { Group012 }
  object { Group013 }
  object { Group014 }
  object { Group015 }
  object { Group016 }
  object { Group017 }
  object { Group018 }
  object { Group019 }
  translate  <-4.5, -4.5, 0.0>
}


